Subject: Re: [patch 3/5] ATM: he: fix section mismatch

From: Roland Dreier <[email-masked]>
Date: Tue, 19 Sep 2006 23:05:08 -0700

> WARNING: drivers/atm/he.o - Section mismatch: reference to .init.text: from .text between 'he_start' (at offset 0x218a) and 'he_service_tbrq'

 > -static int __init
 > +static int __devinit
 >  he_init_group(struct he_dev *he_dev, int group)

There are a ton of other __init functions (he_init_irq(),
he_init_tx_lbfp(), etc.) called from the __devinit function he_start()
in this driver.  So I think this patch is insufficient -- does it even
really fix the warning??  (I think -funit-at-a-time hides the warning
with this patch on x86-64)

Anyway, I sent a more comprehensive fix to Chas who forwarded it to
DaveM already.

 - R.